"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getDefaultProps;

var _fastLoops = require("fast-loops");

function getDefaultProps(propTypes) {
  return (0, _fastLoops.objectReduce)(propTypes, (props, value, prop) => {
    props[prop] = value.initial;

    if (value.type === 'shape') {
      props[prop] = getDefaultProps(value.shape);
    }

    return props;
  }, {});
}